SQL-инъекция в PHP-Nuke

Дата публикации:
29.11.2006
Дата изменения:
13.12.2007
Всего просмотров:
2587
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP-Nuke 7.x
Уязвимые версии: PHP-Nuke 7.9, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "sid" в сценарии modules/News/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для удачной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: www.phpnuke.org

Решение: Установите последнюю версию 8.0 с сайта производителя.

Журнал изменений:

13.12.2007
Изменена секция «Решение».
Добавлен PoC код.

Ссылки: HP-Nuke <= 7.9 News module "sid" SQL Injection vulnerabilities
PHP-Nuke <= 7.9 SQL Injection Exploit

или введите имя

CAPTCHA